# Action Events

In the process of creating action events in People Playground, it is important to note that these events are generated prior to any registration being performed. Additionally, to simplify the implementation, the action events are stored in variables. When creating the action event, a generic type, specifically "GameObject," is utilized.

Example:

```csharp
Action<GameObject> act = (Instance) =>
{
    Debug.Log("My object is called " + Instance.name + "!");
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.team-wilson.org/readme/api/action-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
